videomass (5.0.21-1trisquel1) ecne-backports; urgency=medium

  * Backported from official PPA for videomass

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 21 Nov 2024 23:31:46 +0000

videomass (5.0.21-1) jammy; urgency=medium

  * Update French language (thanks to Phil Aug).
  * Update Spanish language (thanks to katnatek).
  * Update Russian language (thanks to ChourS).
  * Improved file doc-strings.
  * Improved build using pyproject.toml file.
  * Improved build using pyinstaller_setup.py file.
  * Improved requirements.
  * Fixed some broken link.
  * Fixed an issue when restoring the configuration directory, which copied
    unnecessary files and directories.
  * Fixed issue with using physically non-existent and access-denied output
    paths (e.g. removing USB sticks, hard drives, etc.) which would inevitably
    lead to an application reset during startup (Very annoying).
  * Fixed NameError: name 'tarbal' is not defined. Did you mean: 'tarball'?
    during presets download operation.
  * Changed: Unlike portable mode, In installed mode output directories are no
    longer automatically recreated if they do not exist.
  * Changed the names of the default output directories when using the
    application in portable mode (see Media/Transcoding + Media/Downloads).

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 30 Oct 2024 00:00:00 +0200

videomass (5.0.20-1) UNRELEASED; urgency=medium

  * Added requirements-linux.txt to build videomass wheel from source.
  * Update INSTALL file. It now also includes the manual procedure for compiling
    the language catalog using included scripts.
  * Added *.mo item to .gitignore file to auto-escludes that item.
  * Fix pyproject.toml file: added artifacts to include MO files on wheel binary
    even if the .gitignore file excludes them.
  * Update dependencies list on hatchling.toml file.
  * Added `StartupNotify` and `StartupWMClass` entries to xdg/*.desktop file to
    fix App icon not dislpayed in some taskbar.
  * Improved xdg/*.xml file.
  * Fixed app-const.py file to backwards compatibility using wxPython v4.0.7.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sun, 28 Jul 2024 12:00:00 +0200

videomass (5.0.18-1) UNRELEASED; urgency=medium

  * Created new gettext utilities.
  * Italian translation completed thanks to @bovirus .
  * Improved AUTHORS and traslation list on about dialog.
  * Enabling the Queue button on any panel if a queue is set up.
  * Create `generate_MO_file.sh` script.
  * Improved `gettext_utils` scripts.
  * Provide a Hatch Build Hook to compile catalogs when building wheels.
  * All MO files have been removed as they will be compiled when building
    packages.
  * Added `babel` as a new dependency needed for compiling language catalogs
    when building binaries.
  * Added compile MO files option before build standalone App using pyinstaller.
  * Fixed accelerators shortcuts on Italian language catalog (leave same as
    English language).
  * Added a new Python script that includes some functionality based on the
    babel program, convenient on operating systems that do not have gettext
    installed.
  * Fixed `app_const` not listing the es_CU locale code language.
  * Improved build using pyinstaller.py wrap script .
  * Added support for Arabic (Saudi Arabia), Czech (Czechia), German (Germany),
    Hungarian (Hungary) translations.
  * Update Localization_Guidelines at:
    <https://jeanslack.github.io/Videomass/Pages/Localization_Guidelines.html>

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Thu, 18 Jul 2024 00:00:00 +0200

videomass (5.0.16-1) UNRELEASED; urgency=medium

  * Videomass now uses `hatchling` as the default build backend which replaces
    `setuptools`.
  * Improved startup configuration script.
  * Created a new convenient `about_app` script to store program description
    data which replace `msg_info`.
  * New feature created that allows you to import the yt_dlp module externally,
    replacing the one installed on your system or the one on your virtual
    environment (see #328). Standalone application are excluded from using this
    feature.
  * 'Go' menu bar items are now fully enabled on every panel (see #332).

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 03 Jul 2024 17:00:00 +0200

videomass (5.0.14-1) UNRELEASED; urgency=medium

  * [AV Conversions] Fixed crop area display (crop filter) issue using Wayland.
  * [Timeline] Fixed selected area display using Wayland.
  * [AV Conversions] Improved `Save profile` functionality + bug fixes #316.
  * [Presets Manager] Improved error handling writing profiles.
  * Update user guide to v5.0.14.
  * [Still Image Maker] Fixed duration to milliseconds conversion issue that
    raised wxAssertionError `invalid value in wxGauge::SetValue()`.
  * [AV Conversions] Fixed preview issue using stabilze filter on MS-Windows.
  * Improved GUI layout for AV-Conversions, Presets Manager and
    YouTube Downloader.
  * Fixed issue in Preferences dialog when yt-dlp was enabled but the yt_dlp
    Python module was not found. This fixes the incorrect display of the restart
    message by setting other preferences.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Thu, 30 May 2024 17:00:00 +0200

videomass (5.0.13-1) UNRELEASED; urgency=medium

  * [YouTube Downloader] Fix `--playlist-items` using executable.
  * [YouTube Downloader] Improved playlists/channels check before start
    download.
  * Update english user guide documentation (pdf docs) and related references.
  * Fixed wrong deinterlace command option using w3fdif filter.
  * [YouTube Downloader] Fixed audio/video qualities (see #305 #307)
  * Added shutdown system and auto-exit the application. These settings are
    found on the "Exit and Shutdown" tab of Preferences dialog (see #306).

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 13 May 2024 14:00:00 +0200

videomass (5.0.12-1) UNRELEASED; urgency=medium

  * Improved description strings on menu bar.
  * [Presets Manager] Improved profile settings dialog layout.
  * Added ability to edit command arguments "on-the-fly" in the queue dialog.
  * Text on toolbar buttons will now always be shown below their respective
    icons.
  * Fixed "FileNotFoundError: [Errno 2]" traceback at the end of the process,
    raised if the "Trash the source files" checkbox had been checked to delete
    the same file more than once.
  * Show log messages window is been moved to menu bar -> Help.
  * Made some cosmetic improvements.
  * [A/V Conversions] Added opus output format option to Audio Target Media.
  * [File drop List] Added context menu by right mouse clicking.
  * Removed "Clear" icon on the toolbars because it was obsolete. Now to remove
    items there are keyboard shortcuts, options in the Edit menus plus
    mouse right-click context menus.
  * [YouTube Downloader] Added proxy setup (see #246).
  * [YouTube Downloader] Added authentication + Video password setup.
  * [YouTube Downloader] Now it has its own setup dialog, a new convenient
    window for YouTube Downloader options.
  * Preferences dialog has been moved to the Edit menu.
  * Most options in the preferences dialogs no longer require restarting the
    application, except for toggling yt_dlp, application language,
    and look-and-feel options.
  * Removed menu for setting destination folders and restoring default
    destination folder.
  * Changing the destination folders in the file list and URL list panels will
    now make the destination paths the new default paths without the need to
    open preferences dialog.
  * [Presets Manager] Fixed bug in supported formats check. If the warning about
    supported formats was triggered, the program silently prevented the
    conversion processes from starting.
  * [Presets Manager] Improved dialog layout when warning about supported
    formats.
  * Added destination path display for any confirmation dialog before running
    batch processes.
  * Fixed errors and inconsistencies on initialize trash directory path name.
  * [YouTube Downloader] Added Geo-restriction options. This feature geo
    verification proxy, geo bypass, geo bypass country, geo bypass ip block.
  * [YouTube Downloader] Added cookies options and some convenient automations
    about cookies.
  * [YouTube Downloader] Login passwords and video password will not be stored
    anywhere. The user will be forced to re-enter his credentials every time he
    restarts the application.
  * [FFprobe] Added "UnicodeDecodeError" to the exceptions list in the ffprobe
    module to ensure that files that cannot be encoded with utf-8 unicode are
    handled by the application.
  * Added the ability to change the encoding for files that contain metadata
    with non-UTF-8 encoded characters. The function is found in the Preferences
    dialog (Advanced tab).
  * Improved closing of ffmpeg by clicking the stop button to close FFmpeg
    gracefully programmatically by writing "q" to the subprocess's stdin pipe
    simulating the user pressing the "q" key.
  * Improved the pop-up dialog box for temporary messages.
  * [YouTube Downloader] Added ability to use the yt-dlp executable only for
    download not for get format code and statistics. This feature would allow
    you to interrupt the process from any point of the download.
  * [YouTube Downloader] Fixed `Best precompiled video` issue to truly get the
    best precompiled video.
  * [YouTube Downloader] Fixed `Worst precompiled video` issue to truly get the
    worst precompiled video.
  * [YouTube Downloader] Added `Medium High precompiled video` and `Medium Low
    precompiled vieo`.
  * [YouTube Downloader] Added the ability to run/rerun downloads directly in
    the `Downloader Message Monitoring` panel.
  * [YouTube Downloader] Fixed option mapping issue to pass to `YdlExtractInfo`
    thread to get data for format code and Statistics.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 29 Apr 2024 16:00:00 +0200

videomass (5.0.11-1) UNRELEASED; urgency=medium

  * This release fixes `ModuleNotFoundError` issue installing from PyPi and
    packaging for distributions.
  * Fix missing `__init__.py` file inside `vdms_panels` directory.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sat, 30 Mar 2024 00:00:00 +0200

videomass (5.0.10-1) UNRELEASED; urgency=medium

  * [A/V Conversions] [Presets Manager] [NEW] Added ability to manage and
    process file queues. This will make Videomass capable of both processing
    files in batches (as we know) and processing queues of files. Each item
    added to the queue will can have different settings, such as different
    times trimming, different filters, etc. To improve productivity, this
    feature includes the ability to add items to the queue in both Presets
    Manager and A/V Conversions.
  * [A/V Conversions] Code refactoring and UI layout improvement.
  * [A/V Conversions] [NEW] Added new graphics controls for encoder features.
  * [A/V Conversions] [NEW] Added UI for SVT-AV1 video encoder.
  * [A/V Conversions] [NEW] Added UI for AOM-AV1 video encoder.
  * [A/V Conversions] [NEW] Added H.264 10-bit option to video encoders.
  * [A/V Conversions] [NEW] Added H.265 10-bit option to video encoders.
  * [A/V Conversions] [NEW] Added UI for XVID MPEG-4 part 2 (xvidcore) video
    encoder.
  * [A/V Conversions] Removed Vp8 (libvpx) video encoder.
  * [A/V Conversions] Removed Theora (libtheora) video encoder.
  * [A/V Conversions] Added new tab for subtitles.
  * [A/V Conversions] [NEW] Added One-passes Loudnorm (EBU R128) audio
    normalization feature available for all tasks.
  * [A/V Conversions] High-quality two-pass Loudnorm normalization (EBU R128)
    can now be applied at the same time as the "Stabilize" video filter
    (no more limitations). Additionally, this filter no longer requires
    enabling Two-pass Encoding as it is optional.
  * [A/V Conversions] The "Stabilize" video filter can also now be applied to
    both single-pass and double-pass encoding.
  * [A/V Conversions] "Make Duo" feature on "Stabilize" video filter is now
    only available for preview, not for final video file.
  * Removed FFmpeg `-threads` option on preferences dialog.
  * [From Movie to Pictures] Fixed `-fps_mode 0` to `-fps_mode vfr` using
    `Create tiled mosaics` option.
  * [Presets Manager] add optional arguments for hardware acceleration #272 .
  * Update presets to v0.23.
  * [A/V Conversions] Add new Miscellaneous tab with some useful option.
  * [A/V Conversions] Fixed mappings order for correct steams indexing
    on the video.
  * [FFmpeg Message Monitoring] Fixed text lengh, as the output messages from
    FFmpeg can be quite verbose, this sets the limit at 1 loops per task.
    The full list of the log messages can always be viewed in the respective
    log file or by clicking in the new button placed in this panel.
  * [yt_dlp Message Monitoring] Fixed text lengh, as the output messages from
    yt_dlp can be quite verbose, this sets the limit at 1 loops per task.
    The full list of the log messages can always be viewed in the respective
    log file or by clicking in the new button placed in this panel.
  * Fixed log file size, the text can become huge: for each new processing task
    the corresponding log file will be overwritten with the latest data.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 25 Mar 2024 17:00:00 +0200

videomass (5.0.6-1) UNRELEASED; urgency=medium

  * Fixed `ValueError: could not convert string to float: 'N/A'` given by the
    `get_milliseconds()` function.
  * The `get_milliseconds` and `get_seconds` functions have been replaced by
    the `time_to_integer()` function.
  * [Still Image Maker] Improved duration setting, millisecond values will be
    rounded to time second values.
  * Replace `milliseconds2clock` and `milliseconds2clocksec` to
    new `integer_to_time` function.
  * [Presets Manager] It has the ability to store the width of profile columns
    when you close the app (see #260 and #113 issues).
  * [Queued Files] It has the ability to store the width of file columns when
    you close the app (see #260 and #113 issues).
  * [YouTube Downloader] It has the ability to store the width of the format
    code when you close the app (see #260 and #113 issues).
  * Fixed small bug in preferences dialog causing FFprobe binaries to be set
    incorrectly (self.settings['ffprobe_cmd'] > self.settings['ffplay_cmd']) .
  * Fixed FFmpeg warns: `-vsync arg is deprecated, use fps_mode`
  * Fixed FFmpeg seeking (-ss) as input parameter and duration (-t) as output
    parameter. This fixed various issues and inaccuracies and seems more faster.
  * Added a new item to the File menu with its accelerator to delete all
    imported files/URLs. This feature was already present on the
    toolbar buttons but without the possibility of a convenient accelerator.
  * [A/V Conversions] Improved the Stabilizer filter for both the preview and
    the video production. Fixed various bugs that prevented correct video
    playback.
  * [Still Image Maker] Fixed progress bar accuracy and progress percentage
    issues in final video production.
  * [Queued Files] [Queued URLs] improved conditional code with empty lists,
    see `delete_all`, `on_delete_selected` methods.
  * [Queued URLs] Added new `Clear list` entry  to contextual menu.
  * Improved menu bars items.
  * Translation strings have been updated and simplified.
  * New configuation file version v6.6 .
  * [Concatenate] Removed `From an image sequence to a video file`
    > use `Still Image Maker` instead.
  * [A/V Conversions] improved Resize filter preview to ensure an updated
    correct size in default image viewer (fix using `time.sleep(0.5)`).
  * Updated `AV1-libsvtav1` preset with a compatible container (mkv not mp4).
  * Update presets version v0.21 .
  * Default format preset (extension) change to `.json`. This format can be
    made compatible by changing the file extensions to `.prst` using older
    versions of Videomass.
  * [A/V Conversions] Improved default EBU loudness values.
  * Some code refactoring.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Fri, 23 Feb 2024 12:00:00 +0200

videomass (5.0.4-1) UNRELEASED; urgency=high

  * [Preset Manager] Fixed a serious issue during the automatic update task to
    the new version of local presets. This behavior could have been harmful
    if a user logged in with administrator privileges ran the program with the
    task described above, especially when the program is installed on the
    system.
  * [Preset Manager] Fixed accidental overwriting of target presets when
    upgrading with new versions.
  * [Preset Manager] Added convenient graphical handling to the json.DecodeError
    exception in the event of malformed or incorrectly encoded json code during
    the preset update task.
  * [A/V Conversions) Improved audio dialog settings (Audio Properties).
  * Updated Videomass presets to v0.19 .
  * [Preset Manager] The automated preset update operation, including "import
    by Groups" feature, now always includes a backup of the preset directory
    in the program configuration directory.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 24 Jan 2024 08:00:00 +0200

videomass (5.0.3-1) UNRELEASED; urgency=medium

  * [YouTube Downloader] New feature: subtitles editor, see #240
  * [YouTube Downloader] Improved UI layout.
  * "Apply" to "Ok" label for affirmative buttons in dialogs, as a button
    labeled "Ok" means it will apply the settings and also close the dialog
    itself.
  * Fixed spaces between dialog buttons.
  * Fixed minor bugs.
  * [YouTube Downloader] Fixed the YouTube Downloader window accidentally
    opening by clicking the menu bar when the yt-dlp module is not loaded.
  * Update fr_FR translation, thanks to Philaug.
  * Update es_ES, es_CU, es_MX translations, thanks to katnatek.
  * Update program year on Copyright.
  * Update ru_RU translation, thanks to ChourS.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 15 Jan 2024 15:00:00 +0200


videomass (5.0.2-1) UNRELEASED; urgency=medium

  * Code refactoring.
  * Improved layout on the Timeline Editor miniframe.
  * [A/V Conversions] Improved Crop tool dialog.
  * Fixed `ZeroDivisionError: division by zero` on Timeline Editor by selecting
    files with duration == 0 .
  * Fixed conditional inconsistencies on timeline editor code (see `set_values`
    method).
  * Fixed problem with incorrect values using `milliseconds2clocksec` function
    using parameter `round=True`.
  * Removed `round=True` parameter in `milliseconds2clocksec` function.
  * [A/V Conversions] Fixed bug on Stabilizer tool that didn't prevent video
    files with zero duration from being previewed. Now only video files equal
    to or greater than 4 seconds will be allowed to preview.
  * Fixed flickering issue using Timeline Editor and Crop tool. This issue
    affects some device contests (DC) on Videomass especially on MSW.
  * [A/V Conversions] Fixed ZeroDivisionError on unsupported files with missing
    video size using filter tools.
  * [A/V Conversions] Fixed wx.Slider error on wxPython 4.2.0: min value cannot
    equal to max value and viceversa.
  * [YouTube Downloader] the `Restrict file name` option has been disabled by
    default as it can cause problems in filenames of languages such as Arabic,
    Japanese and Russian.
  * [YouTube Downloader] Added closing options clicking on close box. A
    confirmation dialog will appear describing the options for closing the
    window to the user.
  * [Concatenate media files] Fixed bug in concatenating files with multiple
    indexes in streams.
  * [Preset update v0.17] Fixed `Audio_removing_from_video.prst`.
  * [A/V Conversions]+[Presets Manager] Fixed file extension preceded by two
    dots using video format copy function.
  * [A/V Conversions] Fixed window layout on Transpose tool: it caused display
    problems in the confirmation buttons on monitors with low resolution.
  * Updated man page and command line help to v5.0.2.
  * Removed single (') quotes errors on filenames (aka illegal characters) #235

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Tue, 20 Jun 2023 01:00:00 +0200

videomass (5.0.1-1) UNRELEASED; urgency=medium

  * Update ru_RU translation
  * [YouTube Downloader] Added external downloader support #222,
    thanks to @samarthshrivas .
  * [A/V Conversions] Improved mouse crop area accuracy.
  * Improved display of rejected files and URLs with a dialog that pops up when
    files or URLs aren't imported correctly. This allows you to have a clear
    overview of rejected files and URLs with their associated error messages,
    see #224 .
  * New dialog for file overwrite confirmation and missing file notification.
  * Improved all confirmation dialogs.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Tue, 18 Apr 2023 17:00:00 +0200

videomass (5.0.0-1) UNRELEASED; urgency=medium

  * [Confirm Settings] checking "Move files to trash" the "clean up files list"
    checkbox must be selected and disabled.
  * [A/V Conversions] Fix filter scrolled panel: preview/reset buttons always
    visibles on scrolling.
  * [Drag files panel] added more informations referring to a specific
    operation.
  * [PopupDialog] didn't have a parent, now it does (prevents raising other
    windows).
  * [YouTube Downloader] Drag URLs panel now uses ListCtrl with the ability to
    drag and drop text properties (URLs).
  * [YouTube Downloader] simplified use of UI controls + improved layout.
  * [YouTube Downloader] Partially fixed Aborting download (work only with
    multiple URLs), the GUI shouldn't stay stuck now.
  * [YouTube Downloader] Checkboxes options are now stored.
  * [YouTube Downloader] Ability to close or exit the window. If you choose to
    close the window, it will be hidden and your work will not be lost.
  * Clicking on the close button caption it now destroy window even on process
    log panels (only if ProcessPanel.threads_type == None).
  * New "Edit" menu includes "Remove selected..." and "Paste" items.
  * Dialogs now all have a parent, which prevents windows from being to stay on
    top or bottom each other forced.
  * User can choose another trash folder, this feature has been restored #215
  * Removed old trim controls upon main frame.
  * A new Timeline Editor has been completely redesigned. This is a floating
    window with various tune-ups features for time trimming that can be
    activated from the View menu or by using the keyboard shortcut CTRL+T .
  * [A/V Conversions] Improved crop filter dialog, now you can also set the
    crop area by right clicking and moving the mouse on the image.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Tue, 11 Apr 2023 13:40:00 +0200

videomass (4.0.10-1) UNRELEASED; urgency=medium

  * Removed support for youtube-dl, only supports yt-dlp API.
  * Improved YouTube Downloader GUI, now has a separate self-contained window,
    which allows separate tasks for downloads and conversions :-)
  * Made errors handler for `on_addaudio_track` function method on
    `sequence_to_video.py` module. This will make importing audio files more
    consistent using `Still Image Maker`.
  * Improved `filedrop` probe data.
  * Improved `FFmpeg topics and options` tool (ffmpeg_help.py).
  * Improved move files to Videomass trash dir.
  * Fixed bug that occurred when checking for new versions of presets.
    The bug did not allow to check correctly the new available versions.
  * [A/V Conversions] fixed bug that disables bitrate control by moving crf
    control.
  * [Presets Manager] presets have been updated to the new v0.16 release.
  * [Presets Manager] fixed various bugs in the presets database update
    functionalities.
  * [Presets Manager] Added check for presets updates locally.
  * Fixed premature creation of directories for `from_movie_to_pictures` and
    `still_image_maker` features.
  * Improved trailing progressive digit for `from_movie_to_pictures` and
    `still_image_maker` features.
  * [A/V Conversionss] removed flv format.
  * [A/V Conversions] added support to matroska for vp9 and theora encoders.
  * [A/V Conversions] Added button to save presets for the Presets Manager
    with the settings made by the user. This feature replaces the old button
    on the toolbar.
  * Fixed instances to all modeless windows (MediaStreams, ShowLogs, HelpTopic,
    WhilePlaying, FFmpegConf, FFmpegDecoders, FFmpegCodecs, AudioVolNormal,
    FFmpegFormats).
  * On exiting the application, open modeless windows will no longer be
    orphaned but will be closed with the application.
  * Opening new files will also close modeless windows.
  * Added ability to move the source files to Videomass trash folder directly
    on `Confirm Settings` dialog.
  * [filedrop] refactorized `on_col_click` method.
  * [A/V Conversions] Added more Pixel Format options.
  * [A/V Conversions] Added more Aspect Ratio options.
  * [A/V Conversions] There is a new filter now. A new window has been added
    which implements video filter for color correction like contrast,
    brightness, saturation and gamma.
  * [A/V Conversions] Fixed storing time position when user search for a
    specific frame using some filter window.
  * [A/V Conversions] Scale filter has a frame preview directly on window.
  * Fixed incorrect percentage value for time progress using pictures
    exporting functionality aka `From Movie to Pictures`.
  * Added support to libaom-av1 (AV1) codec.
  * [Filedrop] on events, keep focused item selection by default.
  * [A/V Conversions] Fixed bug on Crop filter, `Center` automation data.
    returned by getvalue() function was not correct.
  * Fixed AssertionError `invalid bitmap` working with jpeg format.
  * [A/V Conversions] improved panels for optimizations.
  * [A/V Conversions] New panel implementation for libaom-av1 encoder.
  * [A/V Conversions] Removed optmimizations.py (and eval then ^_^).
  * Fixed menu accelerators for "Go" item (Shift+letter wasn't a good idea)
  * Fixed Layout problems switching between panels.
  * Added new color schemes.
  * Added ability to clean up the imported file list at the end of
    the operations.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 22 Mar 2023 10:40:00 +0200

videomass (4.0.5-1) UNRELEASED; urgency=medium

  * Fixed the status-bar messages and colors for all platforms.
  * ffplay failing on Windows with Fontconfig error #172 (thanks to @CComparon).
  * Fixed 'Unable to add new profiles to the Presets manager from the
    A/V-Conversions panel, see #173.
  * Fixed layout on Confirm Settings dialog before start processes.
  * Improved AV-Conversions layout.
  * Improved window resizing to widht=850px height=560px.
  * Fixed bug in window resizing on startup (window increases in size for
    no apparent reason)
  * Added same window positioning on startup as on last exit.
  * Timeline (trim bar) is now always visible by default on some panels.
  * A new "trim" bar has been added, which replaces the old timeline
    controls. The new controls should make trimming operations more
    intuitive even if the graphics are a little less rich.
  * Removed the "Show Timeline CTRL+T" item from the menu bar.
  * [DOWNLOADER] Fixed `compat_option all` to `compat_option youtube-dl`.
  * Fix segmentation error removing items by listctrl (occurs on
    wxPython version 4.1.1 not 4.0.7).
  * Removed ability to select multiple items from file drop panel
    due to previous issue.
  * Fixed `TypeError` and various stacktraces using Python3.10
    with wxPython4.2.0 #178
  * Added ability to make the application fully portable and stealth
    using command line argument.
  * Improved row colors on `PEAK-based volume statistics` and
    `RMS-based volume statistics` dialogs
  * Preview playback is no longer possible when the stabilizer filter
    is enabled
  * Improved audio property settings dialog.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Tue, 17 Jan 2023 21:00:00 +0200

videomass (4.0.2-1) UNRELEASED; urgency=medium

  * Added language selection on preferences dialog.
  * Fixed check for new Videomass releases according to git API (on previous
    versions this function may no longer work).
  * changed permission to 0644 to io.github.jeanslack.videomass.desktop .
  * improved help layout for panels.
  * A/V Conversion: Added vp9/opus for mp4 container #133 .
  * Added support for simplified Chinese zh_CN #138 (thanks to @MaiJZ).
  * Updated setup dialog for simpified Chinese lang support.
  * Added support for French language fr_FR (thanks to Phil Aug).
  * Updated setup dialog for French lang support.
  * Removed the downloader update function within Videomass.AppImage,
    as it was found to be inefficient and unreliable (see #142).
  * Added a new button in the timeline panel that shows an alternative dialog
    to adjust the time selection (see #150).
  * New feature: ability to rename the selected output file name (see #144).
  * New file menu item to rename the selected output file name.
  * New feature: ability to batch rename two or more output files names
    (see #144).
  * New file menu item to batch rename the output file names.
  * Added New controls for setting/adjusting start and duration points on the
    Timeline display. The sliders have been replaced with a dialog for entering
    values via the Spin controls.
  * Removed context menu on Queued Files panel, due to redundancy.
  * Fixed filename encoding on subprocesses (see #148 and #153).

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 12 Dec 2022 14:00:00 +0200

videomass (4.0.1-1) UNRELEASED; urgency=medium

  * [NEW] added "Still Image Maker" feature.
  * [NEW] added "From Movie to Pictures" feature.
  * [TIMELINE EDITOR] You can choose various levels of accuracy to adjust the
    sliders movements of the Timeline using the UP or DOWN arrows and page
    UP or DOWN or mouse wheel.
  * Update Dutch translation, thanks to @johannesdedoper.
  * Improved ETA using ffmpeg speed value. Fix #101
  * New 48x icons.
  * Update menu bar `GoTo` with new items.
  * Ability to open all panels without the need to put files or URLs. Fix #105
  * [A/V CONVERSIONS] enable bitrate setting even with a single pass conversion
    by move CRF slider to -1. Fix #106
  * Improved `Show logs` dialog during Refreshing and Clear actions.
  * [YOUTUBE DOWNLOADER] fixed the software freeze after click the Abort button,
    during which the user is forced to stop Videomass.
  * Update locale and Italian language translation.
  * Fixed Wizard dialog error clicking on "Auto Detect" button.
  * Fixed some files not being moved to the trash folder after a successful
    encoding (if enabled on preferences). This is relative for the new features
    only as "Still Image Maker" and "From Movie to Pictures" .
  * [YOUTUBE DOWNLOADER] Fixed incorrect pathname after setting downloads
    destination folder.
  * [PRESETS MANAGER] Added new preset to make animated GIFs from videos.
  * All presets supplied with Videomass have been updated to v0.8.
  * Rearranged menu bar: View -> FFplay.
  * Update Russian language thank to ChourS.
  * Improved some wx.DirDialog openings on default pathnames.
  * Fixed output files pathnames using portable edition on Windows.
  * Fixed `PermissionError: [Errno 13] Permission denied:` by setting the output
    paths no longer available, eg. using an unmounted flash drive.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 02 May 2022 09:12:00 +0200

videomass (3.5.8-1) UNRELEASED; urgency=medium

  * Small text on toolbar buttons when enabled.
  * Code refactoring
  * [Output monitoring] Added Estimated Time of Arrival (ETA) on FFmpeg
    processes #81 .
  * [Output monitoring] Removed the progress bar Gauge using YouTube Downloader
    due to frequent backend changes leading to progress errors.
  * Added the ability to download all available subtitles.
  * Ability to add new folders from the dialog for files destination.
  * [YouTube Downloader] Added the ability to download subtitles only
    (skipping video/audio download).
  * Fixed initial window size and scrolling panels on av_conversions.py.
  * [A/V Conversions] Added audio filter preview button (Listening) with the
    ability to play the selected indexes.
  * Removed Breeze icons.
  * Update locale to v3.5.8
  * [Presets_Manager] Added `Duplicate` profile feature #87 .
  * [Queued Files] Added sorting of input files by LEFT/RIGHT clicking with
    mouse on column headers #87 .
  * [Queued Files] Added ability to select a bunch of files for deleting
    operations.
  * [Concatenate Demuxer] added the ability to create a simple slideshow
    from images #95
  * Update Russian and Italian translations
  * Added compatible with Windows 7
  * Updated informations for icon themes on preferences dialog #88.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sat, 26 Mar 2022 12:05:00 +0200

videomass (3.5.7-1) UNRELEASED; urgency=medium

  * Improved controls and automations for indexing and audio mapping.
  * Added feature to move files to the Videomass trash folder after successful
    encoding which can be enabled from the preferences dialog #66.
  * Added new item to the menu bar -> File -> Trash folder, to open file
    browser to Trash folder.
  * Added new option to the menu bar -> File -> Empty Trash, to permanently
    delete all files in the trash folder, when this feature is enabled in the
    preferences.
  * Added new option to disable SSL certificate #73 .
  * Added new option to the menu bar -> File -> Open..., to choose the files
    to open without using Drag N Drop #68 .
  * [AppImage] Fixed AttributeError: `object has no attribute 'ydlupdate'`
    when downloader is disabled.
  * [AppImage] Fixed FATAL error popup using --appimage-portable-home argument
    due missing source directory.
  * Update Russian and Italian translations
  * Fixed `NameError: name 'labcache' is not defined` when you open preferences
    dialog on MacOs.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 07 Mar 2022 12:02:00 +0200

videomass (3.5.6-1) UNRELEASED; urgency=medium

  * Fixed downloader log names.
  * Improved log management (the log folder is created at program startup
    instead of ondemand).
  * Fixed ffmpeg `invalid argument` when converting using double pass.
  * Fixed the ffmpeg audio output mapping string error on
    `AV-Conversion.on_audioOUTstream` method, which raises
    `Invalid stream specifier: a1` type error.
  * Fixed the 'xdg-open' command execution which blocks the Videomass GUI
    on Linux.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 21 Feb 2022 13:38:00 +0200

videomass (3.5.5-1) UNRELEASED; urgency=medium

  * AV/Conversions: Added 'opus' enc to ogg audio format.
  * Fixed `AttributeError: module 'wx' line has no attribute 'NewIdRef'` issue
    #51.
  * Improved handle `progress hooks` data on `dl_downloader.py`
  * Changed videomass.conf to settings.json.
  * Improved management and start-up of all settings.
  * Improved ffprobe subprocessing.
  * Moved subprocess.STARTUPINFO to separate Popen class.
  * [Downloader]: fixed ValueError: could not convert string to float: 'Unknown '
  * Fixed background/foreground colors using xterm console on Linux
    when updating downloaders.
  * Added icon to xterm window.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 16 Feb 2022 13:57:00 +0200

videomass (3.5.3-1) UNRELEASED; urgency=medium

  * Update Spanish translation from @katnatek
  * Changed some windows from mini-frame to dialog to make more confortable
    re-size adjustment.
  * fixed Videomass no longer restarts after disabling the downloader #45 .
  * Improved button popups in the audio normalization window #47.
  * Changed vdms_dialogs/popup.py to vdms_dialogs/widget_utils.py
  * Improved layout of `widget_utils.PopupDialog` + added
    `ActivityIndicator` #47 .
  * Improved debug text messages on Process Log panel.
  * Added a Notification Area (aka "system tray") to display messages at the
    end of processes #47 .

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 29 Nov 2021 16:43:00 +0200

videomass (3.5.2-1) UNRELEASED; urgency=medium

  * Fixed `command not found` issue. In some cases using pip to install
    Videomass the directory is not added to the $PATH.
  * [YOUTUBE-DOWNLOADER] Added option to get 'Best', 'Medium' and 'Worst' of
    precompiled videos. It may be useful to speed up video download containing
    both audio and video, e.g. without download video and audio separately and
    then executing the merging process with FFmpeg.
  * [YOUTUBE-DOWNLOADER] Improved 'Get Statistics' and 'Download by Format Code'
    features. This should improve exception management of unusual web site
    data structures (like <http://zen.yandex.ru/>) and playlists, channels, etc.
  * #41 Fixed mount point issue on external drives using relative paths on
    MS-Windows. If "ValueError" is raised, it returns the absolute path given
    instead of showing the error.
  * [YOUTUBE-DOWNLOADER] Improved 'Download all videos in playlist' feature
    when checked on URLs containing playlists.
  * [YOUTUBE-DOWNLOADER] fixed audio quality when 'Download split audio
    and video' option is selected.
  * [NEW] Added the ability to read and write useful notes with deafault text
    editor (Request made by @ChourS).
  * During the processes some menu items have been enabled allowing you to
    perform some useful actions.
  * Improved Setup dialog with a new Miscellanea tab.
  * Added the ability to delete the contents of log files when exiting the
    application (see Setup dialog Miscellanea tab).
  * Update Russian translation from @ChourS
  * Update Italian translation from @jeanslack

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 22 Nov 2021 09:40:00 +0200

videomass (3.5.1-1) UNRELEASED; urgency=medium

  * Fixed Ctrl+Q keybord shorcut does not work on Windows (see #39).
  * #39 Added new check box 'Warn on exit' on setup dialog appearance tab.
  * #39 Improved handling of exiting the application after making changes
    to user preferences.
  * [YOUTUBE-DOWNLOADER] Improved "Best quality video" selector to the best
    quality overall.
  * [YOUTUBE-DOWNLOADER] Improved "Worst quality video" selector to the worst
    quality overall.
  * [YOUTUBE-DOWNLOADER] Added video format selection when downloading videos.
  * [YOUTUBE-DOWNLOADER] Fixed downloader not updating using Videomass AppImage
    (due to incorrect code indentation).
  * [YOUTUBE-DOWNLOADER] improved playlist indexing dialog.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 20 Oct 2021 00:14:00 +0200

videomass (3.5.0-1) UNRELEASED; urgency=medium

  * Added support to a new downloader: yt-dlp, an updated fork of youtube-dl.
  * Now you can switch between youtube-dl and yt-dlp via setup dialog.
  * Fixed test files.
  * Added code implementation for Python embed package (only for Windows).
  * Some code refactoring.
  * Changed package name from `videomass3` to `videomass`.
  * Changed main from `vdms3.py` to `gui_app.py`.
  * Fixed man page.
  * Improved error handling during application startup.
  * Made some cosmetic improvements.
  * Fixed #37 - Incorrect video and audio qualities values on YouTube
    Downloader panel.
  * Improved video quality selector on the YouTube Downloader panel.
  * New version of the videomass.conf configuration file v3.3
  * Improved output debug colours and message texts.
  * Videomass bundles for Windows and macOS also include youtube-dl and yt-dlp.
  * The code to run youtube-dl as subprocess (in some cases) has finally been
    removed.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Thu, 07 Oct 2021 12:51:00 +0200

videomass (3.4.7-1) UNRELEASED; urgency=medium

  * Fixed tests
  * Added code implementation for Python embed package (Windows).
  * Some code refactoring.
  * Changed package name from `videomass3` to `videomass`
  * Changed main from `vdms3.py` to `gui_app.py`.
  * Fixed man page.
  * Improved error handling during application startup.
  * Made some cosmetic improvements.
  * Added support for yt-dlp, an updated fork of youtube-dl downloader.
  * Fixed #37 - Incorrect video and audio qualities values on YouTube
    Downloader panel.
  * Improved video quality selector on the YouTube Downloader panel.
  * New version of the videomass.conf configuration file changing to v3.3

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 04 Oct 2021 12:26:00 +0200

videomass (3.4.6-1) UNRELEASED; urgency=medium

  * Fixed Multiple URL's are the same.
  * Improved playlist indexing dialog.
  * Improved playlist management on YouTube Downloader panel.
  * Fixed #34 "[WinError 6] The handle is invalid" (pyinstaller `--onefile`
    option cause this issue on Windows).
  * Fixed #35 "Using relative paths when the app is portable" (Windows only)
  * Some code refactoring
  * Improved videomass.conf changing to v3.2
  * New "Check for Latest Version" dialog with redirect to download page based
    on operating system.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 15 Sep 2021 00:06:00 +0200

videomass (3.4.5-1) UNRELEASED; urgency=medium

  * Fixed "The URLs contain playlists..." even when URLs do not contain
    playlists.
  * Fixed error message on Output Console, which not appearing at all when
    MSVCR100.dll is missing on Windows.
  * Videomass.app for macOS: All application data such as configuration folder
    are self-contained inside the app by default.
  * Improved pyinstaller_setup.py script to automate bundle building.
  * Updated AppImage to work on the oldest supported Ubuntu LTS release
    (currently Ubuntu 18.04).
  * Updated travis.yml for travis CI testings.
  * fix #32

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Fri, 03 Sep 2021 21:59:00 +0200

videomass (3.4.4-1) UNRELEASED; urgency=medium

  * Fixed `NameError: name 'm' is not defined` on utils.timehuman()
  * Add indexing function for playlists on the Youtube Downloader panel.
  * Add new editor for playlists selection, which has useful log functions.
  * Improved status bar messages on Youtube downloader panel.
  * To resolve issues with the FFmpeg demuxer, single quoted filenames
    will be rejected.
  * Update translations in Russian, Spanish and Italian language.
  * Fixed #30 `KeyError: 'filesufix', which prevented the setup dialog from
    opening.
  * Fixed #29 `ValueError: too many values to unpack (expected 3)`, which
    prevented checking for new versions of Videomass.
  * Update Videomass site and links.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sun, 29 Aug 2021 12:08:00 +0200

videomass (3.4.3-1) UNRELEASED; urgency=medium

  * Update Portuguese (BR) translation (thanks to Samuel)
  * Fixed `FileNotFoundError` traceback during youtube-dl update on AppImage.
    This occured when the log directory has not yet created.
  * YouTube Downloader: added a new checkbox to restrict filenames (see #21)
  * Fixed #21
  * Improved information and text formatting on log files
  * Provided more log information about output monitoring, such as source and
    destination file names
  * Fixed #24, bug when resetting video filters: The value of the "VFilter"
    key caused failure with error status `Unable to find a suitable output
    format for '(,' (,: Invalid argument` .
  * some code refactor (based on flake8/pylint)
  * Dutch translation completed.
  * Added Spanish language support (Thanks to katnatek from blogdrake.net)
  * Fixed #25
  * Fixed error message when MSVCR100.dll is not installed on Windows.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Tue, 03 Aug 2021 15:44:00 +0200

videomass (3.4.2-1) UNRELEASED; urgency=medium

  * MS-Windows: Fixed issue with opening the Explorer file browser on default
    folders.
  * youtube-dl: Removed some choice options. Now there is only the option to
    enable or disable it.
  * youtube-dl: only packages built with pyinstaller use a local copy of
    the youtube-dl executable. Otherwise youtube-dl will always be used as
    a Python module, if enabled.
  * Fixed wizard dialog.
  * Fixed setup dialog.
  * Concat demuxer: fixed inconsistencies on UI
  * Fix `NameError: name EXECYDL is not defined`. This occurred running
    Videomass on MS-Windows when youtube-dl python module was not installed.
  * Improved youtube-dl tab on Setup dialog.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sat, 24 Apr 2021 19:01:00 +0200

videomass (3.4.1-1) UNRELEASED; urgency=medium

  * Update Russian translation
  * Fixed gauge progress issues with some ffmpeg encoder.
  * Fixed percentage progress issues with some ffmpeg encoder
  * Fixed missing string to get exception 'FileNotFoundError' on MessageBox()
    of `on_Audio_analyzes` function (av_conversions.py)
  * Fixed missing double quotes on ffmpeg URL, giving `[Errno 2] file or
    directory does not exist`, which occurred when the path has whitespace.
  * Fixed exception not showing up when playing ffplay.
  * Removed double-click on profile to start processing on Presets Manager,
    which would cause the command to be reset when the user changes it.
  * Fixed URLs for screenshots on appdata.xml
  * New icon for previews.
  * Fixed final message not visible on Output Monitoring panel. Scrolling on
    "[Videomass]: Successfully completed !"
  * Crop Filter Dialog: Layout on small, low-resolution screens is now improved.
  * Resizing filters: added source size information.
  * Fixed foreground/background colors on status bar messages.
  * Fixed #19
  * New multi-language user guide (English, Russian and Italian for now).
  * Fixed #17
  * Translated into Dutch, thanks to Roelof Berkepeis.
  * Reading and writing files now has encoding 'utf-8'.
  * AV-Conversions: Added new GUI for video stabilizer filter.
  * AV-Conversions: resizing filter, fixed some incorrect values on displays
    after setting.
  * AV-Conversions: improved order of applying video filters.
  * Preview and playback: added auto-exit checkbox on Settings menu.
  * Fixed #20
  * Translated into Portuguese (Brazilian), thanks to Samuel.
  * Improved accuracy of the crop filter on the area selection.
  * Play button removed on toolbar as confusing.
  * Improved enabling and disabling of buttons during some actions.
  * The Streams Info button is now also enabled on the queued files panel.
  * Removed automations on Presets manager as confusing.
  * Added useful panel for media concatenation (concat demuxer)
  * Setup dialog: added pip3 command on text control to facilitate
    copy and paste.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sun, 18 Apr 2021 09:46:00 +0200

videomass (3.3.8-1) UNRELEASED; urgency=medium

  * Fixed some buttons spacings.
  * Improved Setup dialog layout.
  * update localization_guidelines.md.
  * update Videomas-Colours icons 16x16.
  * Remove youtube-dl from required dependencies on Videomass Debian package
    (the user can choose alternative installations of youtube-dl).
  * Fixed #14, bug showing truncated text in the wizard dialog (Xubuntu 20.04
    with XFCE the texts are longer and not completely visible)
  * New Linux appdata.xml for GUI applications via AppStream MetaInfo Creator.
  * Fixed appdata.xml on AppImage via AppStream MetaInfo Creator.
  * Fixed videomass.desktop via AppStream MetaInfo Creator.
  * Fixed issue with running Videomass AppImage via Firejail.
  * Fixed issue with Setup dialog not showing on Videomass AppImage.
  * Improved youtube-dl tab on setup dialog.
  * Youtube Downloader: Added checkbox to include the video ID in the file name.
  * Fixed playlist folder structure.
  * Fixed #14
  * Updating videomass man page.
  * Added support for the Dutch language (to be translated).

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Fri, 13 Feb 2021 09:21:10 +0200

videomass (3.3.7-1) UNRELEASED; urgency=medium

  * Added new icon themes, (colorful, dark and light).
  * Removed Papirus icon theme.
  * Ability to customize toolbar positioning (on Setup dialog box)
  * Ability to show or hide text on toolbar buttons (on Setup dialog box)
  * Enabled support to svg images for toolbar icons and some buttons (only with
    wxPython version 4.1 to up)
  * Ability to scales the toolbar icons (only with wxPython version 4.1 to up)
  * Improved AV-conversions panel layout.
  * Fix `invalid values in gauge` on progress bar during transcoding processes
    when timeline duration exceeds the time of some files.
  * Update Russian translation (credits ChourS).
  * Update Italian translation (credits me).
  * Improved main frame size (tiny layout for smaller screens).
  * Improved panels size with scrolling panels.
  * improved dialog boxes size.
  * Fixed #11 (auto-create subfolders when download playlists and fix some
    strings definition).
  * Added new checkbox on Setup to auto-create subfolders when download
    playlists.
  * Prevent errors when URLs contain playlists and if the user chooses
    Download by format code .
  * If URLs contain playlists, warn you when the Download all playlists
    checkbox is not selected.
  * Added buttons for playback
  * New configuration file version number 2.9 .
  * Fixed bug on timeline: the time selection string was included in the ffmpeg
    command even when it was at "-ss 00:00:00.000 -t 00:00:00.00" resulting in
    all empty files.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 03 Feb 2021 11:20:00 +0200

videomass (3.3.6-1) UNRELEASED; urgency=medium

  * Fixed bug on MS-Windows when playing files or urls with ffplay executable.
  * Fixed bug in the FFmpeg tab of the setup dialog, in which the executables
    ffmpeg and ffplay could not be set correctly.
  * Improved some MessageBox for confirmation.
  * Improved some messages on MessageBox.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sun, 18 Jan 2020 09:49:00 +0200

videomass (3.3.5-1) UNRELEASED; urgency=medium

  * Transpose Filter Dialog: Fixed `wx.StaticText` wrapping on Windows and
    MacOs, where it would break the static text string.
  * The timeline is now a pop-up panel in the main frame window, enabled from
    the menu bar > View > Show Timeline.
  * Fixed `ZeroDivisionError: division by zero` for file duration equal to 0 .
  * If file duration equal to 0, the time key is also added to the ffprobe data.
  * Fixed empty strings in timeline display when Courier font was not found
    on some O.S. like Ubuntu 20.04 .
  * The Streaming Media Analyzer now has selectable items that make it easier
    to view tags and disposition parameters in text format.
  * Fixed `wxAssertionError` in the queued files context menu, if no item is
    selected and user click for playback.
  * FFplay now has timestamp display during playback. However, this feature can
    be disabled from the checkbox: menu bar > FFplay > View timestamp.
  * Ability to customize the size and colors of the timestamp.
  * The menu bar has been reorganized to contain other features.
  * Some toolbar items have been removed and added to the menu bar.
  * Improved wizard dialog box.
  * A single configuration file for all Operating Systems.
  * Improved layout on the Presets manager panel.
  * Improved layout on the Youtube downloader panel.
  * Improved toolbar buttons.
  * Added BORDER_THEME to all mini frames for proper display.
  * Added the ability to choose a local downloader or an installed one
    (installer dependent).
  * Adds open "My conversion" folder.
  * Adds open "My downloads" folder.
  * Ability to set a temporary conversions folder.
  * Abilty to set a temporary downloads folder.
  * Ability to restore the default destination folders.
  * Added some keyboard shortcuts for menu items.
  * Ability to check for new versions of presets.
  * Ability to download the latest version of presets.
  * Ability to import existing presets while keeping your new profiles intact.
  * Ability to update all presets while keeping your new profiles intact.
  * Added `requests` package as new dependency.
  * Improved ffmpeg setup on Setup dialog box.
  * Fixed minor bugs.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sun, 17 Jan 2020 18:09:00 +0200

videomass (3.3.0-1) UNRELEASED; urgency=medium

  * Fixed panel base and sizer base on `while_playing.py` mini frame.
  * The Crop filter dialog now has the crop selection monitor and the ability
    to load additional frames.
  * The Transpose filter displaying the current position of the video frame.
  * Improved video scale dialog.
  * New files added cause all video filters to be reset.
  * Now the video filters preview will play any selected file in the queued
    files panel.
  * Fixed some string translations.
  * Added support for the Russian language (thanks to ChourS for the
    translation and contribution).
  * Fixed bug if an item is selected in the queued files but the user
    deletes it.
  * Added playback feature by right clicking in the queue file panel.
  * The timeline setting affects playback in the queue file panel
  * Completely redesigned timeline. There are the sliders for seek and
    duration settings and a display to viewing the time range selection.
  * Adding or removing files from Queued Files panel cause reset of the
    Timeline selection.
  * Made Videomass portable for MS-Windows
  * Milliseconds have been added in the time calculation (duration).
    This should improve accuracy for calculating bar progress values,
    percentage label, and others display.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sat, 15 Dec 2020 15:00:00 +0200

videomass (3.2.6-1) UNRELEASED; urgency=high

  * Improved the dialog for creating and editing FFmpeg profiles
  * Fixed bug when "restore default settings" is used in the Setup dialog
    box which did not allow to start Videomass.
  * Fixed Automatic Refreshing of profile list on Presets Manager when you
    save a profile from the AV-Conversions panel
  * Fixed layout bug on some mini frames which did not fit in the sizer
    especially on Mac-Os and MS-Windows
  * Add new youtube_dl statistic icon toolbar to display download statistics
  * Fix setup.py importings
  * Fixed FFmpeg menu definition
  * Made new tool to view and read log files more conveniently
  * New names for log files with improved references
  * All log files are now cumulative and the user is responsible for
    their periodic cleaning
  * The toggle buttons have been replaced with normal buttons
  * The selected icon-set on Setup dialog box adjusts the background and
    foreground colors on some text controls
  * Temporarily fixed `HTTP Error 404: Unavailable for Legal reasons` during
    installing or updating youtube-dl executable
  * A new feature in the Setup dialog allows you to write files to the same
    directory as the source with optional additional suffix
  * New configuration file v2.5

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Mon, 09 Nov 2020 12:32:00 +0200

videomass (3.2.0-1) UNRELEASED; urgency=medium

  * New redesigned GUI
  * New icons
  * Improved toolbar
  * New buttons on panels
  * Fixed issue with close button position on wizzard
  * Fixed title names in dialog boxes
  * Fixed some name definitions on the interface
  * fix translations

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sun, 18 Oct 2020 10:45:00 +0200

videomass (3.1.3-1) UNRELEASED; urgency=medium

  * Fix `ImportError: libSDL2-2.0.so.0` on appimage. This library will be
    loaded if required.
  * It is no longer required to pre-install the libsdl2-2.0-0 package to start
    Videomass AppImage.
  * The tools for creating the appimages have been redefined.
  * Improved icons 32x32.
  * Fix some translation.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sun, 11 Oct 2020 11:45:00 +0200

videomass (3.1.2-1) UNRELEASED; urgency=medium

  * Redesigned the main videomass icon.
  * Fixed 24x24 resetfilters.png.
  * Improved icons 48x48
  * Review debian/control and changelog format.
  * [YOUTUBE DOWNLOADER] Improved related panel
  * Improved `IO_tools > def check_videomass_releases` function.
  * New tool for building videomass appimage.
  * Update the .travis.yml file with a new test, wheel and AppImage creation.
  * Improved `youtube_dl_update_appimage.sh`
  * Fixing `FileNotFoundError:` when starting videomass AppImage from another
    path and updating youtube-dl.
  * Fixed application icon location on Linux.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Tue, 06 Oct 2020 13:26:00 +0200

videomass (3.1.0-1) UNRELEASED; urgency=medium

  * Overall improved string search on 'FFmpeg search topics' mini frame.
  * Added some cosmetic and functional improvements.
  * fixed some profile on presets file.
  * Improved FFmpeg menu.
  * Improved some contextual descriptions.
  * 'Show More' mini frame, added first item auto selection to prevent empty
    data view.
  * New modules to playback online streams via youtube-dl and ffplay.
  * The mpv player has been removed from optional dependencies, as it has
    been replaced by ffplay to playback online streams.
  * A tmp/ directory has been added in the cache/ directory for temporary
    files downloaded for preview playback.
  * Added new checkbox on Settings dialog box to clear or keep cached data.
  * Added new checkbox on Settings dialog box to disable permanently warning
    message if youtube-dl executable is no longer in use.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sat, 19 Sep 2020 10:22:17 +0200

videomass (3.0.6-1) UNRELEASED; urgency=medium

  * New stable upstream release
  * The directories `MAcOsxSetup/` and `Win32Setup/` are been unified to
    `FFMPEG/` folder and added to package_data of the videomass3 package.
  * On Linux it is now possible to include ffmpeg, ffprobe and ffplay
    executables into FFMPEG folder. This could be useful, for instance, to make
    an application bundle all-in-one of Videomass for Linux distros
    without ffmpeg installed on (see videomass3/FFMPEG/README).

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Fri, 28 Aug 2020 15:15:35 +0200

videomass (3.0.5-1) UNRELEASED; urgency=medium

  * New stable upstream release
  * [PRESETS MANAGER] fixed missing `EBU R128` string on summary dialog when
    EBU automation is enabled.
  * [PRESETS MANAGER] Added a warning message box when enabling EBU
    normalization on one-pass conversions.
  * [PRESETS MANAGER] adding more understandable information on the summary
    dialog.
  * The tooltip messages in the audio indexes mapping are now a little more
    understandable (I suppose)
  * "Check for new versions" has been restored from preferences menu to the
    help menu.
  * [STREAMS ANALYZER] Adding first item auto selection to prevent empty
    data view.
  * Improved some dialog boxes layout and colors.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sat, 15 Aug 2020 10:50:52 +0200

videomass (3.0.2-1) UNRELEASED; urgency=medium

  * New stable upstream release
  * Fixed 'page not found' on menu > Help > Translation...
  * Fixed problem with youtube-dl self-update when user click on 'Update
    youtube-dl'.
  * 'Check for new versions' has been moved from the help menu to the
    preferences menu.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Tue, 04 Aug 2020 18:10:00 +0200

videomass (3.0.0-1) UNRELEASED; urgency=medium

  * New stable upstream release
  * Fixed "IndexError" when the file name has no format extension.
  * Notify when the cached youtube-dl executable is no longer used to give
    priority to the one installed on the system.
  * Fixed "NameError: name 'OS' is not defined"  on two_pass.py thread (on
    two pass conversions)

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sun, 19 Jul 2020 11:00:00 +0200

videomass (2.9.2-1) UNRELEASED; urgency=medium

  * New upstream release
  * Improved graphic layout on all dialog boxes
  * Dependency redefinition: `python3-pypubsub` becomes `python3-pubsub` on
    control file.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Fri, 17 Jul 2020 13:40:00 +0200

videomass (2.9.1-1) UNRELEASED; urgency=low

  * Initial debian packaging

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 15 Jul 2020 13:45:06 +0200
